#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 solution for working with .desktop files
Name:           kservice
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
Patch0:         kservice-4.96.0-add-kde-menu.patch
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  kcrash-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kdoctools-devel >= %version
BuildRequires:  karchive-devel >= %version

BuildRequires:	flex
BuildRequires:  bison

%description
KDE Frameworks 5 Tier 3 solution for working with .desktop files

%files -f %{name}5.lang
%_kf5_bindir/kbuildsycoca5
%_sysconfdir/xdg/kf5/menus/applications.menu
%_sysconfdir/xdg/kservice.categories
%_kf5_datadir/kservicetypes5/application.desktop
%_kf5_datadir/kservicetypes5/kplugininfo.desktop
%_kf5_mandir/man?/*
%_kf5_mandir/*/man?/*

#--------------------------------------------------------------------

%define kf5service_major 5
%define libkf5service %mklibname kf5service %{kf5service_major}

%package -n %libkf5service
Summary:      KDE Frameworks 5 Tier 3 solution for working with .desktop files
Group:        System/Libraries

%description -n %libkf5service
KDE Frameworks 5 Tier 3 solution for working with .desktop files

%files -n %libkf5service
%_kf5_libdir/libKF5Service.so.%{kf5service_major}*

#--------------------------------------------------------------------

%define kf5service_devel %mklibname kf5service -d

%package -n %kf5service_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5service = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5service_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5service_devel
%_kf5_includedir/KService
%_kf5_includedir/kservice_version.h
%_kf5_libdir/cmake/KF5Service
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build
%find_lang %{name}5



%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194157
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088991
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074563
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072227
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058382
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050559
- New version 5.26.0

* Thu Aug 18 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1046878
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041359
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021957
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014367
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999657
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986350
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942276
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921303
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913085
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909893
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900596
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899376
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898947
- New version 5.16.0
- fix KDE_INSTALL_LIBEXECDIR_KF5 ( Fedora )

* Sun Oct 11 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 889469
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881411
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862972
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862690
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853817
- New version 5.12.0

* Fri Jun 26 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 844355
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803899
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 748477
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681209
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660448
- New version 5.1.0

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651629
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 650297
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611301
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599809
- New version 4.97.0

* Wed Feb 19 2014 fwang <fwang> 4.96.0-2.mga5
+ Revision: 594604
- update more br
- update br
- add more br

  + neoclust <neoclust>
    - Fix Requires
    - imported package kservice

